#include "Stringbuffer.h"


Stringbuffer::Stringbuffer ( ) : act_position(0), bufp(buffer) {}



/**
 * Fuegt ein Zeichen in den Puffer ein.
 * Wird ein <Backspace> empfangen, wird es auch im Puffer ausgefuehrt.
 * @param  c
 */
void Stringbuffer::put (char c ) {
	if(bufp - buffer == (BUFSIZE - 1)) this->flush();
	if( c == '\b'){
		if(bufp > buffer){
			bufp--;
			*bufp = 0;
			return;
		}
	}
	*bufp++ = c;
}

	
